Package org.apache.avro.perf.test.generic.jmh_generated

# Class GenericWithDefaultTest_TestStateDecode_jmhType_B1

java.lang.Object
org.apache.avro.perf.test.BasicState
org.apache.avro.perf.test.generic.GenericWithDefaultTest.TestStateDecode
org.apache.avro.perf.test.generic.jmh_generated.GenericWithDefaultTest_TestStateDecode_jmhType_B1

Direct Known Subclasses:
  `GenericWithDefaultTest_TestStateDecode_jmhType_B2`

public class GenericWithDefaultTest_TestStateDecode_jmhType_B1 extends GenericWithDefaultTest.TestStateDecode

## Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`GenericWithDefaultTest_TestStateDecode_jmhType_B1()`

## Method Summary

### Methods inherited from class org.apache.avro.perf.test.generic.GenericWithDefaultTest.TestStateDecode

`doSetupInvocation, doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenericWithDefaultTest_TestStateDecode_jmhType_B1

public GenericWithDefaultTest_TestStateDecode_jmhType_B1()